Index: NEWS
===================================================================
--- NEWS	(revision 2075)
+++ NEWS	(revision 2265)
@@ -1,2 +1,160 @@
+2006-10-27  Version 0.6 Released
+
+#New
+  *functor usage for writeable map adaptors
+  *MIP support
+    -interface to the cplex MIP solver
+  *data structures
+    -ListBpUGraph
+    -SmartEdgeset
+    -RefPtr: a reference counted pointer class
+    -two state variant
+    -Polinomial template class
+    -SimpleBucketHeap  
+      -even a smaller version
+    -tolerance class
+      -Tolerance<unsigned int> and Tolerance<unsigned long long int> added
+    -the extender system
+      -some UGraphExtender /SubUGraphExtenders, DirectUGraphExtender/
+    -adaptor related
+      -ResGraphAdaptor with Tolerance
+      -SwapBpUGraphAdaptor which swaps the two nodeset of the bipartite graph
+    -map related
+      -SimpleMap and SimpleWriteMap
+      -new map type based on array map for debugging purpose
+      -DynamicAsymMatrixMap
+      -MatrixMapTraits
+  *functions
+    -optimality test on random graph
+    -implementation of the drand48 functions
+    -negative cycle to path converter
+    -reserveNode function
+    -Mersenne Twister random number generator
+    -EdgeLookUp and AllEdgeLookUp
+  *scripts
+    -script that lists all the header files included directly or indirectly by a certain header file
+    -script creates/updates the copyright header of a source file
+  *algorithms
+    -algorithm group for matchings
+      -Bipartite Graph Max Cardinality Matching (Hopcroft-Karp)
+      -MaxWeightedBipartiteMatching
+      -MinCostMaxBipartiteMatching
+    -MaxCardinalitySearch
+    -MinimalCut in UGraph
+    -tabu search
+    -Minimum Cost Arborescence algorithm 
+      -dual solution computation and interface for algorithm
+      -Edmonds-Karp MaxFlow
+    -Hao-Orlin algorithm
+
+#Progress in already existing objects:
+  *radix sort to ansi compatible
+  *map creation based on virtual base class is possible
+  *default constructor which allocates empty graphs
+  *defaultMap is introdouced, graph maps should not be inherited from the ObserverBase.
+  *clarifing alteration observing system
+  *resize for static size graph
+  *an additional simplier interface for static size graphs.
+  *Node operator()(int) for getting node by index
+  *int index(Node node) for getting index by node
+  *traits for alteration notifiers
+  *graph adadptors can be alteration observed
+  *count ANodes-BNodes in bipartite graphs
+  *the template assign operators and map iterators can be used for adaptors also
+  *writeable extension of some maps
+  *rot180() added to xy.h
+  *change source and target for the bipartite list graph
+  *findEdge extension also for the BpUGraphs
+  *proper handling of loop edges in the UGraph::findUEdge
+  *exported interface to the Graph class
+  *new random interface
+  *graph imlementations actually provide ReferenceMaps
+  *lgf2ps:
+    -RGB color related stuff is in color.h now
+    -simple class to create .eps figures (eps.h)
+    -"Node shapes" added
+    -some color constants added (BLACK, WHITE, RED etc)
+    -absolute/relative node size/link width scaling
+
+#Taken out:
+  *SplitGraph is temporarly deleted
+  *SubBidirGraphAdaptor
+  *obsolote "id" map handling
+  *concepts for extendable and erasable graphs
+  *exceptionName()
+  *bezier.h
+  *functional interfaces
+  *UPath
+
+#Rewritten, modificated, improved
+  *UnionFindEnum revision
+  *countItems
+  *findEdges
+  *IncEdgeIt goes through on loop edges twice.
+  *mining of the clear in heaps
+  *SplitGraphAdaptor
+  *item sets are written in the order sorted by the labels
+  *make explicit constructors
+  *snapshot
+    -rewritten
+    -implemented for SmartUGraph an SmartBpUGraph
+  *Node/Edge::operator<() is required by the concept
+  *Graph Component concepts
+  *disabled the copy constructor and operator- of {List|Smart}[U]Graph.
+  *modificated interface: colType() functions
+  *made public what() in NodeSetError
+  *improvment in exception handling
+    -exception safe erase and clear handler
+    -proper exception handling in the SmartEdgeSet
+    -rethrow of exception missing 
+  *signaling alterations in BpUGraphs
+  *UnionFind
+    -takes less space
+    -UnionFindEnum
+      -changed interface
+  *updated the Path concept
+  *item readers and writers
+
+#Reorganized:
+  *bootstrap: quiet option
+  *utility, invalid and traits moved to bits
+  *section readers moved to own group
+  *separate group for matrices
+  *single makefile
+  *glemon is moved to own repository
+  *graph_component.h -> graph_components.h
+  *reference to modules added
+  *disable assertions in default behaviour
+  *BiVariant moved to lemon/bits/variant.h
+  *using abort() instead of exit(1)
+
+#Renamed:
+  *Undir -> U
+  *Minimum -> Min
+  *Work -> Aux
+  *UGraphExtender -> UndirectGraphExtender
+    -UGraphExtenders with changed meaning
+  *GridGraph -> GridUGraph
+  *UNDIRGRAPH_TYPEDEFS -> UGRAPH_TYPEDEFS
+  *LinearHeap -> BucketHeap
+  *UGraphBaseExtender -> UndirGraphExtender
+  *BpUGraphBaseExtender merged into BpUGraphExtender
+  *StaticGraph to Graph
+  *ColorSet to Palette
+  *xy -> dim2::Point
+  *DirPath to Path
+  *concept -> concepts (namespace & directory)
+
+#Compatibility issues:
+  *compilation with G++ -ansi
+  *gcc-4.1
+  *NaN checking to be conform to MinGW32
+  *MinGW, MinGW32
+  *long long just for gnu compilers
+  *CPLEX 9.x support
+  *turned off 32bit specific tests.
+
+#Beyond the aboves several bugfix and documentation improvement is made, new demos, benchmarks are implemented.
+
 2006-02-03  Version 0.5 Released
 	* New features:
